# $Revision: 1.41 $, $Date: 2009/01/15 10:26:01 $
%define		applet phone-manager
Summary:	GNOME Phone Manager applet
Summary(pl.UTF-8):	Zarządca telefonu - aplet GNOME
Name:		gnome-applet-%{applet}
Version:	0.60
Release:	5
License:	GPL
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gnome-phone-manager/%{version}/gnome-%{applet}-%{version}.tar.bz2
# Source0-md5:	f9497833b24c0100dc844853f434a9e2
Patch0:		%{name}-desktop.patch
URL:		http://usefulinc.com/software/phonemgr/
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake >= 1:1.8
BuildRequires:	bluez-libs-devel >= 3.12
BuildRequires:	evolution-devel >= 2.6.1
BuildRequires:	gnome-bluetooth-devel > 0.8.0
BuildRequires:	gstreamer-devel >= 0.10
BuildRequires:	gtk+2-devel >= 2:2.10
BuildRequires:	gtkspell-devel >= 2.0
BuildRequires:	intltool >= 0.18
BuildRequires:	libbtctl-devel >= 0.5.0
BuildRequires:	librsvg-devel >= 1:2.0
BuildRequires:	libgnokii-devel >= 1:0.6.26
BuildRequires:	libgnomeui-devel >= 2.14.0
BuildRequires:	libtelepathy-devel >= 0.3.1
BuildRequires:	libtool
BuildRequires:	openobex-devel >= 1.0.0
BuildRequires:	pkgconfig
Requires:	bluez-utils
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This applet will connect to your mobile phone over a serial port,
either via a cable, infra-red or Bluetooth connection.

It listens for text messages, and when they arrive, displays them on
the desktop.

%description -l pl.UTF-8
Ten aplet łączy się z telefonem komórkowym przez port szeregowy przy
pomocą kabelka, podczerwieni lub połączenia Bluetooth.

Oczekuje wiadomości tekstowych, a kiedy nadejdą, wyświetla je na
pulpicie.

%prep
%setup -q -n gnome-%{applet}-%{version}
%patch0 -p1

%build
%{__glib_gettextize}
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-schemas-install
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post
/usr/bin/scrollkeeper-update
%gconf_schema_install

%postun -p /usr/bin/scrollkeeper-update

%files
# -f %{applet}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%{_sysconfdir}/gconf/schemas/gnome-phone-manager.schemas
%attr(755,root,root) %{_bindir}/*
%dir %{_datadir}/gnome-%{applet}
%{_datadir}/gnome-%{applet}/*
%{_mandir}/man1/*.1*
%{_desktopdir}/*.desktop
%{_libdir}/telepathy-phoney
%{_datadir}/dbus-1/services/org.freedesktop.Telepathy.ConnectionManager.phoney.service
%{_datadir}/telepathy/managers/phoney.manager

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnome-applet-phone-manager.spec,v $
Revision 1.41  2009/01/15 10:26:01  hawk
- release 5

Revision 1.40  2008/10/27 08:07:38  hawk
- release 4

Revision 1.39  2008/10/17 06:15:19  sls
- intltoolize (fix for 'error: po/Makefile.in.in was not created by intltoolize.')

Revision 1.38  2008/10/04 22:09:51  megabajt
- release 3

Revision 1.37  2008/09/10 09:08:53  hawk
- release 2

Revision 1.36  2008/06/18 14:49:04  patrys
- more BR

Revision 1.35  2008/06/18 14:46:01  patrys
- 0.60

Revision 1.34  2008-03-30 17:21:49  wolvverine
- add telepathy-phoney

Revision 1.33  2008-03-29 23:03:51  wolvverine
- up to 0.51

Revision 1.32  2008-03-25 15:59:12  sls
- BR: libgnokii-devel with epoch

Revision 1.31  2008-03-25 15:54:29  sls
- BR: libgnokii-devel >= 0.6.22

Revision 1.30  2008-03-13 15:52:52  qboosh
- files fix

Revision 1.29  2008-03-13 13:00:44  wrobell
- ver. 0.50
- added manual page

Revision 1.28  2008-01-30 20:52:50  wrobell
- rel. 2 to rebuild with libcap 2.0.5

Revision 1.27  2008-01-12 23:44:34  qboosh
- removed obsolete filterout_ld (builds with -as-needed now)

Revision 1.26  2007-12-08 04:35:11  wolvverine
- up to 0.40

Revision 1.25  2007/10/24 21:50:38  wrobell
- fixed gconf paths
- fixed build requirements (gnokii is used instead of gsmlib)

Revision 1.24  2007/10/21 12:16:29  qboosh
- cleanup, gtk+2 epoch

Revision 1.23  2007/10/21 00:29:12  wolvverine
- up to 0.20

Revision 1.22  2007/09/04 15:01:45  wolvverine
- up to 0.10

Revision 1.21  2007/02/13 07:16:46  glen
- tabs in preamble

Revision 1.20  2007/02/12 00:48:52  baggins
- converted to UTF-8

Revision 1.19  2006/11/28 23:19:42  glen
- librsvg-2.0.pc is expected

Revision 1.18  2006/11/09 16:32:01  aredridel
- 0.8

Revision 1.17  2006/08/22 02:11:50  aredridel
- patch for as-needed
- patch for installation of pixmaps properly
- patch for new libebook api

Revision 1.16  2006/06/06 12:13:41  qboosh
- install icon needed in program datadir (merged from AC-branch)

Revision 1.15  2006/05/31 01:49:03  wolvverine
- add BR

Revision 1.14  2006/05/22 11:17:59  baggins
- rel 2
- BR GNOME 2.14 stuff

Revision 1.13  2006/05/11 06:33:31  qboosh
- updated desktop patch is back, updated BRs

Revision 1.12  2006/05/06 14:13:56  wolvverine
- up to 0.7

Revision 1.11  2005/10/29 07:56:38  ankry
- kill no, rel. 2

Revision 1.10  2005/09/10 23:33:31  freetz
- 0.6, updated BRs/Rs, dropped sigc++ patch (obsolete)

Revision 1.9  2005/08/09 19:56:18  blues
- release 4 - added directory, works now

Revision 1.8  2005/06/13 20:42:08  freetz
- cleanup: fixed summaries (it's GMOME thingy), desktop patch added,
  updated BRs (suggested by Marcin Albecki), gconf isn't required at all,
  install icon with generic name (follows desktop patch changes), use more
  macros, rel.3

Revision 1.7  2004/09/10 13:14:01  wrobell
- fixed build requirements
- build with libsigc++ version 2.0.x instead of 1.2.x
- rel. 2

Revision 1.6  2004/09/08 21:12:31  wrobell
- cleanup
- rel. 1

Revision 1.5  2004/06/30 22:19:28  wrobell
- files updated

Revision 1.4  2004/06/30 00:09:18  wrobell
- started update to version 0.4

Revision 1.3  2003/10/13 22:15:17  qboosh
- pl, BR: ac,am

Revision 1.2  2003/09/05 13:22:42  wrobell
- disable gconf schema installation in %%install section

Revision 1.1  2003/09/05 12:57:54  wrobell
- based on template
